
.top-menu {
    box-shadow: 0 0 15px #0003;
}

.righttilesmenu {
    z-index: 13;
}

.section-left {
    width: unset;
    gap: 15px;
    padding-left: 10px;
}

.konstruktorpage {
    background: url(/bitrix/templates/vician/img/blog_new1.png) no-repeat center center;
    background-size: cover;
}

.g4_container {
    position: relative;
}

/*Calculator*/


.calc_modal_form,
.calc_modal_list {
    font-family: 'Exo 2', sans-serif;
    transition: .3s;
    line-height: 120%;
    visibility: hidden;
    opacity: 0;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 100000000000;
    display: flex;
    align-items: center;
    justify-content: center;
}


body.showCalcModalForm,
body.showCalcModal {
    overflow: hidden;
}

body.showCalcModalForm .calc_modal_form,
body.showCalcModal .calc_modal_list {
    visibility: visible;
    opacity: 1;
}

.cml_bg {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #000a;
    z-index: 1;
}

.cml_popup {
    z-index: 2;
    background-color: #fff;
    color: #222;
    display: flex;
    overflow: hidden;
    border-radius: 10px;
    min-width: 300px;
    max-width: 600px;
    position: relative;
    height: 400px;
}

.cml_popup_krestik {
    position: absolute;
    top: 10px;
    border-radius: 5px;
    right: 10px;
    background-color: #fff;
    box-shadow: 0 0 9px #0004;
    border: 1px solid #0002;
    z-index: 4;
    cursor: pointer;
    transition: .3s;
}

.cml_popup_krestik:hover {
    background-color: #0D2CD5;
}

.cml_popup_krestik svg {
    width: 32px;
    height: 32px;
    display: block;
}

.cml_popup_krestik svg path {
    fill: #000;
    transition: .3s;
}

.cml_popup_krestik:hover svg path {
    fill: #fff;
}

.cmf_popup_form {
    position: relative;
    width: 400px;
    background-color: #fff;
    border-radius: 5px;
    position: relative;
    z-index: 2;
    padding: 30px;
}

.cmf_pf_title {
    font-size: 24px;
    font-weight: 700;
    line-height: 120%;
}

.cmf_pf_group {
    margin-top: 16px;
    display: flex;
    flex-direction: column;
}

.cmf_pf_group input {
    font: inherit;
    height: 42px;
    padding: 0 12px 1px;
    border: 2px solid #0003;
    border-radius: 5px;
    margin-top: 8px;
    transition: .3s
}

.cmf_pfg_label {
    line-height: 120%;
}

.cmf_pf_group + .cmf_pf_group {
    margin-top: 8px;
}

.cmf_pf_btns {
    margin-top: 20px;
}

.cmf_pf_group input:focus {
    border-color: #0D2CD5;
}

.cmf_pf_group input.is_invalid {
    border-color: #f00;
}

.cmf_pf_btn {
    height: 42px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    color: #fff;
    padding-bottom: 2px;
    background-color: #0D2CD5;
}

.cml_popup_datas {
    padding: 20px 20px 30px 20px;
    width: 300px;
    overflow: auto;
}

.cml_pd_title {
    font-weight: 700;
    font-size: 24px;
    line-height: 120%;
}

.cml_pd_list {
    display: flex;
    align-items: flex-start;
    margin-top: 12px;
    flex-direction: column;
}

.cml_pb_list_row {
    line-height: 120%;
    width: 100%;
    cursor: pointer;
    padding: 12px 0 14px;
}

.cml_pblr_sizes {
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
    margin-top: 8px;
}

.cml_pblr_size {
    font-size: 14px;
    line-height: 120%;
    padding: 4px 10px 5px;
    border-radius: 5px;
    border: 1px solid #0004;
    transition: .3s;
    background-color: #fff;
}

.cml_pblr_size:hover {
    background-color: #0D2CD5;
    color: #fff;
}

.cml_pblr_title {
    transition: .3s;
    line-height: 115%;
}

.cml_pb_list_row.active .cml_pblr_title {
    color: #0D2CD5;
}

.cml_pb_list_row + .cml_pb_list_row {
    border-top: 1px solid #0003;
}

.cml_popup_info {
    width: 300px;
    background-color: #0D2CD521;
    position: relative;
}

.cml_popup_info_row {
    padding: 40px 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    min-height: 100%;
}

.cml_popup_info_row_name {
    display: none;
}

/*inn_cml_popup_info*/
/*cml_popup_info_row*/
.inn_cml_popup_info {
    opacity: 0;
    transition: .8s;
    width: 100%;
    height: 100%;
    overflow: auto;
    position: relative;
}

.inn_cml_popup_info + .inn_cml_popup_info {
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.inn_cml_popup_info.active {
    opacity: 1;
    z-index: 2;
}

.cml_popup_info_row img {
    position: absolute;
    display: block;
    width: 100%;
    height: 40%;
    object-fit: cover;
    top: 0;
    left: 0;
    right: 0;
}
.cml_popup_info_row_about {
    position: absolute;
    width: 100%;
    height: 60%;
    overflow:auto;
    object-fit: cover;
    left: 0;
    right: 0;
    padding: 10px 15px 20px;
    line-height:120%;
    bottom: 0;
}

.cml_pi_title {
    font-weight: 700;
    line-height: 120%;
}

.cml_popup_info p {
    line-height: 120%;
}

.cml_pi_title + p {
    margin-top: 8px;
}

.cl_row + .cl_row {
    margin-top: 10px;
    padding-top: 10px;
    border-top: 1px solid #2222;
}

.clr_title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 240px;
    min-width: 240px;
    margin-bottom: auto;
    height: 32px;
}

.calc_list {
    width: calc(100% - 350px);
}

.calc_list > div:nth-child(n) .clr_title span:after {
    content: " *";
    color: #f00;
}

.cl_row {
    display: flex;
    gap: 20px;
    align-items: center;
}

.calc_add_param_btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 32px;
    height: 32px;
    border: 1px solid #2228;
    border-radius: 100%;
    cursor: pointer;
    transition: .3s;
}

.calc_add_param_btn:hover {
    background-color: #0D2CD5;
    border-color: #0D2CD5;
}

.calc_add_param_btn:hover path {
    fill: #fff;
}

.calc_add_param_btn svg {
    width: 16px;
    height: 16px;
}

.calc_add_param_btn svg path {
    transition: .3s;
}

.calculator {
    background-color: #fff;
    padding: 20px 20px 20px 30px;
    border-radius: 10px;
    display: flex;
    gap: 30px;
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    color: #222;
    width: 100%;
}

.clr_sizes {
    display: flex;
    gap: 6px;
    align-items: center;
    flex-wrap: wrap;
}

.clr_alert {
    width: 100%;
    color: #f00;
}

.clr_alert.cl_inp_hide {
    display: none;
}

.clr_size {
    position: relative;
    display: flex;
    width: 90px;
    border-radius: 50px;
    height: 32px;
    overflow: hidden;
    border: 1px solid #2224;
}

.clr_size input {
    font: inherit;
    background-color: #fff;
    padding: 0 10px;
    text-align: center;
    border: none;
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 2;
}

.clr_size input:focus + .clr_size_mask {
    z-index: 1;
}

.clr_size_mask {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    /*display: block;*/
    position: absolute;
    color: #222a;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 3;
}

.calc_modal_form input,
#calculator input {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.clr_params {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    max-width: calc(100% - 260px);
}


.clr_param + .clr_param {
    margin-top: 10px;
    padding-top: 10px;
    border-top: 1px solid #2222;
}

.clr_param {
    display: flex;
    align-items: center;
    gap: 20px;
    justify-content: space-between;
    white-space: nowrap;
}

.clr_param_price {
    font-weight: 700;
    height: 32px;
    display: flex;
    align-items: center;
}

.clr_param_name {
    text-overflow: ellipsis;
    overflow: hidden;
    transition: .3s;
}

.clr_param:hover .clr_param_name {
    color: #0D2CD5;
}

.clr_param_btns {
    display: flex;
    opacity: .2;
    transition: .3s;
    gap: 5px;
    justify-content: flex-end;
    width: calc(28px * 3 + 5px * 2);
    min-width: calc(28px * 3 + 5px * 2);
}

.clr_params > div:last-child .clr_pb_pos_down,
.clr_params > div:first-child .clr_pb_pos_up {
    opacity: .4;
    display: none;
}

.clr_param:hover .clr_param_btns {
    opacity: 1;
}

.clr_param_btns > div {
    width: 28px;
    cursor: pointer;
    height: 28px;
    border: 1px solid #0003;
    padding: 4px;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    overflow: hidden;
    transition: .3s;
}

.clr_param_price {
    margin-left: auto;
}

.clr_param_btns svg {
    width: 100%;
    height: 100%;
}

.clr_param_btns > div:hover {
    background-color: #0D2CD5;
}

.clr_param_btns > div:hover svg path {
    fill: #fff;
}

.clr_param_btns svg path {
    transition: .3s;
}

.clr_params_alert {
    opacity: .3;
}

.calculator_wrapper {
    width: calc(100% - 20px);
    margin-top: 60px;
    font-family: 'Exo 2', sans-serif;
}

.calculator {
    box-shadow: inset 0 0 0 2px #0D2CD5;
}


.calc_viewboxes {
    display: flex;
    flex-direction: column;
    width: 320px;
    /*align-content: flex-end;*/
}

.calc_viewboxes_pics {
    width: 100%;
    display: flex;
    margin-bottom: auto;
    margin-top: auto;
}

.calc_viewbox_body {
    display: flex;
    flex-direction: column;
    width: calc(100% - 50px);
}

.calc_viewbox_size {

    position: relative;
    font-size: 12px;
    /*font-weight: 700;*/
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
    width: 50px;
}

.calc_viewbox_size:after {
    position: absolute;
    content: "";
    top: 8px;
    z-index: 1;
    width: 1px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #00000030;
    bottom: 8px;
}

.calc_viewbox_size span {
    position: relative;
    z-index: 3;
    background-color: #fff;
    padding: 1px 0;
}

.calc_viewbox_size svg {
    position: relative;
    z-index: 2;
    width: 10px;
    height: 10px;
    display: block;
}

.calc_viewbox_size svg path {
    fill: #00000077;
}

.calc_viewbox_itog {
    margin-top: 10px;
    padding-top: 20px;
    border-top: 1px solid #2222;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.calc_vii_title {
    font-size: 20px;
    font-weight: 700;
}

.calc_vii_total {
    font-size: 20px;
    font-weight: 700;
}

.calc_viewbox_btn {
    margin-top: 15px;
    cursor: pointer;
    width: 100%;
    background-color: #0D2CD5;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 42px;
    color: #fff;
    padding-bottom: 1px;
    border-radius: 5px;
    transition: .3s;
}

.calc_viewbox_btn:hover {
    opacity: .7;
}

.calc_vb_cloth_bott img,
.calc_vb_cloth_top img {
    display: block;
    width: 100%;
}

.calc_vb_cloth_bott img {
    transform: rotateX(180deg);
}

.calc_viewbox_body > div:last-child,
.calc_vb_pic {
    margin-top: 2px;
}

.calc_vb .calc_vb_pic {
    background-position: center;
    border-radius: 2px;
    transition: .4s;
}

.calc_vb_pic.js_opacity {
    /*opacity: .7;*/
    filter: brightness(.7);
}

.calc_vb_side .calc_vb_pic {
    background-size: 100% auto;
}

.calc_vb_mid .calc_vb_pic {
    background-size: auto 100%;
}

@media (max-width: 1340px) {
    .righttilesmenu {
        display: none;
    }
}

@media (max-width: 992px) {
    .calculator {
        flex-direction: column;
    }

    .calc_list {
        width: 100%;
    }

    .calc_viewbox_itog {
        padding: 0;
        margin: 0;
        border: none;
        width: calc(100% - 320px);
    }

    .calc_viewbox_btn {
        width: 300px;
    }

    .clr_param_btns {
        opacity: 1;
    }

    .calc_viewboxes {
        width: 100%;
        gap: 20px;
        flex-direction: row;
        flex-wrap: wrap;
        align-items: baseline;
    }
}

@media (max-width: 700px) {
    .cl_row {
        flex-wrap: wrap;
        gap: 10px;
    }

    .clr_title {
        width: 100%;
        padding: 10px;
        height: unset;
        border-radius: 5px;
        min-width: unset;
        background-color: #0D2CD521;
    }

    .clr_title span {
        margin-bottom: 1px;
    }

    .calc_add_param_btn {
        margin-left: 10px;
    }

    .calculator {
        padding: 15px;
    }

    .clr_params {
        width: 100%;
        max-width: unset;
    }

    .calc_viewbox_itog {
        width: 100%;
    }

    .calc_viewbox_btn {
        width: 100%;
        margin-top: 0;
    }

    .cml_popup {
        width: 100%;
        max-width: unset;
        height: 100%;
        border-radius: unset;
    }

    .cml_popup_datas,
    .cml_popup_info {
        width: 50%;
    }

    .clr_param {
        gap: 10px;
    }

    .clr_param_name {
        white-space: normal;
        font-size: 14px;
        overflow: unset;
        transition: .3s;
    }

    .mobmenu {
        box-shadow: 0 0 5px #0004;
    }
}

@media (max-width: 575px) {
    .cml_popup_datas {
        height: 60%;
        width: 100%;
    }

    .cml_popup_info {
        height: 40%;
        width: 100%;
    }

    .cml_popup_info {
        overflow: auto;
        padding: 20px 10px;
    }

    .cml_popup_datas {
        padding: 0 10px 20px;
    }

    .inn_cml_popup_info + .inn_cml_popup_info {
        position: unset;
        margin-top: 20px;
    }

    .cml_pd_list {
        margin-top: 0;
    }

    .cml_pd_title {
        padding-top: 20px;
        padding-bottom: 10px;
        border-bottom: 1px solid #0002;
        background-color: #fff;
        position: sticky;
        top: 0;
    }

    .cml_pb_list_row + .cml_pb_list_row {
        border-color: #0002;
    }

    .inn_cml_popup_info {
        opacity: 1;
        height: unset;
    }

    .cml_popup_info_row {
        padding: 0;
    }

    .cml_popup {
        flex-direction: column-reverse;
    }

    .calculator_wrapper.descript {
        padding: unset;
    }

    .cml_popup_info_row_name {
        display: block;
        line-height: 120%;
        font-size: 18px;
        font-weight: 700;
    }

    .cml_popup_info_row img {
        margin-top: 12px;
        position: unset;
        border-radius: 5px;
        height: calc(100vw * 120 / 320);
    }
    .cml_popup_info_row_about {
        margin-top: 10px;
        position: unset;
        height:unset;
        padding:0;
    }
}

@media (max-width: 475px) {
    .clr_param {
        flex-wrap: wrap;
    }

    .clr_param_name {
        width: 100%;
    }

    .clr_param_price {
        margin-left: 0;
    }

    .clr_size {
        width: calc((100% - 20px) / 2)
    }

    .clr_sizes {
        gap: 0;
    }

    .clr_sizes > span {
        width: 20px;
        display: flex;
        justify-content: center;
    }

    .clr_size {
        height: 42px;
    }

    .clr_size_mask {
        padding-bottom: 1px;
    }

    .clr_size input {
        padding-bottom: 1px;
    }

    .clr_alert {
        margin-top: 10px;
        text-align: center;
        width: 100%;
    }

    .calc_list > .cl_row:nth-child(2) {
        border-top: unset;
        margin-top: 0;
    }

    .calc_list {
        position: sticky;
        top: -837px;
        z-index: 9;
    }

    .calc_list > .cl_row:first-child {
        border-bottom: 1px solid #2222;
        position: sticky;
        padding-top: 10px;
        top: 72px;
        z-index: 1;
        padding-bottom: 10px;
        background-color: #fff;
    }

    .back_to_top,
    jdiv {
        display: none !important;
    }

    .clr_param_name {
        font-weight: 700;
    }

    .clr_param:hover .clr_param_name {
        color: #000;
    }

    .clr_param_price {
        color: #0D2CD5;
    }

    .clr_params {
        padding: 0 10px;
    }
}